## liqbase-playground 0.3.36

=== Makefile ===
PROG        = liqbase-playground
VERS        = 0.3.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
#DESTDIR	?= tmp


ETCDIR	    = $(DESTDIR)/etc
PREFIX	    = $(DESTDIR)/usr
SUDODIR	    = $(ETCDIR)/sudoers.d
BINDIR	    = $(PREFIX)/bin
DESKTOPDIR      = $(PREFIX)/share/applications/hildon
SERVICEDIR      = $(PREFIX)/share/dbus-1/services
PGDIR		    = $(PREFIX)/share/liqbase


.PHONY:     clean distclean
all:        
	$(MAKE) -C src

clean:
	      $(MAKE) clean -C src

.PHONY:     clean

install:

	install -d $(BINDIR)
	install -d $(SUDODIR)
	install -d $(DESKTOPDIR)
	install -d $(SERVICEDIR)
	install -d $(PGDIR)

	mkdir -p                                    									$(PGDIR)
	mkdir -p                                    									$(PGDIR)/media
	mkdir -p                                    									$(PGDIR)/widgets
	mkdir -p                                    									$(PGDIR)/widgets/liqcalendar
	mkdir -p                                    									$(ETCDIR)
	mkdir -p                                    									$(ETCDIR)/osso-backup
	mkdir -p                                    									$(ETCDIR)/osso-backup/applications



	mkdir -p															$(PREFIX)
	mkdir -p															$(PREFIX)/share
	mkdir -p															$(PREFIX)/share/icons
	mkdir -p															$(PREFIX)/share/icons/hicolor
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable/apps


	cp -r media/*       	                    									$(PGDIR)/media

	install -m 0755 src/liqbase-playground      									$(PGDIR)
	cp -r src/widgets/*.so                      									$(PGDIR)/widgets
	cp -r src/widgets/liqcalendar/*.so          									$(PGDIR)/widgets/liqcalendar


	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-run.sh                               $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-ondemand                         $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-powersave                        $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-performance                      $(BINDIR)
	install -m 0755 liqbase_base_fs/etc/sudoers.d/liqbase-playground.sudoers                        $(SUDODIR)
	install -m 0755 liqbase_base_fs/usr/share/applications/hildon/liqbase_playground.desktop        $(DESKTOPDIR)
	install -m 0755 liqbase_base_fs/usr/share/dbus-1/services/org.maemo.liqbase_playground.service  $(SERVICEDIR)
	install -m 0755 liqbase_base_fs/etc/osso-backup/applications/liqbase-playground.conf            $(ETCDIR)/osso-backup/applications

	install -m 0755 liqbase_base_fs/usr/share/icons/hicolor/scalable/apps/liqbase_playground.png    $(PREFIX)/share/icons/hicolor/scalable/apps/liqbase_playground.png

=== liqpostcard/Makefile ===
PROG = liqpostcard

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 =  liqpostcard_ready.o liqpostcard_template.o liqpostcard_sendprogress.o liqpostcard_selectimage.o liqrecentphotoselect.o liqpostcard_config.o liqpostcard_start.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqpostcard
			 install -d								 $(PREFIX)/share/liqbase/liqpostcard/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqpostcard/media
			 
			 install -m 0755 liqpostcard			  $(PREFIX)/share/liqbase/liqpostcard
			 install -m 0755 liqpostcard.so		  $(PREFIX)/share/liqbase/liqpostcard
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/liqpostcard/media
			 
			 install -m 0755 base_fs/usr/bin/liqpostcard-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqpostcard.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqpostcard.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqpostcard.conf				$(ETCDIR)/osso-backup/applications

=== onedotzero/Makefile ===
PROG = onedotzero
VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
LIBRARIES   = sqlite3 liblo
CFLAGS		= -Wall `pkg-config --cflags  $(LIBRARIES)`  
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic -lcurl -L /usr/lib `pkg-config --libs $(LIBRARIES)`
RM			 = /bin/rm -f
OBJSCORE	 = onemessage.o onemessageprogress.o textbox.o onetilt.o zoombox.o oneconfigure.o buttonrollover.o onemenu.o nokiapicture.o onemove.o osc_onedotzero.o 
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean


install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase


			 install -d								 $(PREFIX)/share/icons
			 install -d								 $(PREFIX)/share/icons/hicolor
			 install -d								 $(PREFIX)/share/icons/hicolor/64x64


			 install -d								 $(PREFIX)/share/liqbase/onedotzero
			 install -d								 $(PREFIX)/share/liqbase/onedotzero/media

			 cp base_fs/usr/share/icons/hicolor/64x64/onedotzero_icon.png   $(PREFIX)/share/icons/hicolor/64x64

			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/onedotzero/media
			 
			 install -m 0755 onedotzero			  $(PREFIX)/share/liqbase/onedotzero
			 install -m 0755 onedotzero.so		  $(PREFIX)/share/liqbase/onedotzero
			 cp -r media/*                           				$(PREFIX)/share/liqbase/onedotzero/media

			 install -m 0755 base_fs/usr/bin/onedotzero-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/onedotzero.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.onedotzero.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/onedotzero.conf				$(ETCDIR)/osso-backup/applications

=== debian/changelog ===
liqbase-playground (0.3.36) unstable; urgency=low

  * failed to up version.

 -- Gary Birkett <liquid@gmail.com>  08 September 2009 08:41:03 +0200

=== liqpostcard/debian/changelog ===
liqpostcard (0.1.2) unstable; urgency=low

  * packaging adjustment

 -- Gary Birkett <liquid@gmail.com>  06 September 2009 23:43:31 +0000

liqpostcard (0.1.1) unstable; urgency=low

  * tweaks

 -- Gary Birkett <liquid@gmail.com>  06 September 2009 23:43:31 +0000

=== liqtorch/debian/changelog ===
liqtorch (0.1.5) unstable; urgency=low

  * bug fix for click event

 -- Gary Birkett <liquid@gmail.com>  08 September 2009 15:05:41 +0000

liqtorch (0.1.4) unstable; urgency=low

  * tweaks

 -- Gary Birkett <liquid@gmail.com>  06 September 2009 15:05:41 +0000

=== onedotzero/debian/changelog ===
onedotzero (0.1.7) unstable; urgency=low

  * tweaks and finalization, failed to up version number

 -- Gary Birkett <liquid@gmail.com>  08 Sep 2009 02:19:13 +0000

onedotzero (0.1.6) unstable; urgency=low

  * tweaks and finalization

 -- Gary Birkett <liquid@gmail.com>  06 Sep 2009 02:19:13 +0000

onedotzero (0.1.5) unstable; urgency=low

  * added profanity filter.
  * modified osc patterns
  * added slider bars for zooming on the tilt interaction

 -- Gary Birkett <liquid@gmail.com>  Tue, 05 Sep 2009 02:19:13 +0000

onedotzero (0.1.4) unstable; urgency=low

  * sending /mode every few seconds when in screens.
  * updated liqaccelview again.  much more usable and readable
  * fixed up bugs
  * configuration screen was using wrong default port number
  * configuration dialog is available from the menu screen by pressing [ctrl] + o

 -- Gary Birkett <liquid@gmail.com>  Tue, 26 Aug 2009 02:19:13 +0000

onedotzero (0.1.3) unstable; urgency=low

  * upgraded liqaccelview.
  * removed nobble
  * fixed up bugs
  * removed extra screens

 -- Gary Birkett <liquid@gmail.com>  Tue, 26 Aug 2009 02:19:13 +0000

onedotzero (0.1.2) unstable; urgency=low

  * added liblo OSC protocl library and made numerous tweaks.

 -- Gary Birkett <liquid@gmail.com>  Tue, 24 Aug 2009 02:19:13 +0000

onedotzero (0.1.1) unstable; urgency=low

  * numerous adjustments towards target.

 -- Gary Birkett <liquid@gmail.com>  Tue, 20 Aug 2009 02:19:13 +0000

onedotzero (0.1.0) unstable; urgency=low

  * onedotzero Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Tue, 11 Aug 2009 02:19:13 +0000

=== debian/control ===
Source: liqbase-playground
Section: user/multimedia
Priority: extra
Maintainer: Gary <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , x11proto-core-dev, libliqbase-dev (>= 0.3.35), libsqlite3-dev, libcurl3-dev
Standards-Version: 3.7.2

Package: liqbase-playground
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} ,libliqbase1 (>= 0.3.35), liqtorch, liqcontrolpanel, liqpostcard, onedotzero
Description: liqbase-playground test package
 usability and testing package release for liqbase-playground

=== liqpostcard/debian/control ===
Source: liqpostcard
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.35)
Standards-Version: 3.7.2

Package: liqpostcard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.35)
Description: send a postcard upto liqbase.net
 send a postcard upto liqbase.net, include a picture and a sketch

=== liqtorch/debian/control ===
Source: liqtorch
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.35)
Standards-Version: 3.7.2

Package: liqtorch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.35)
Description: a simple bright light to lead the way.
 a simple bright light to lead the way in the dark.

=== onedotzero/debian/control ===
Source: onedotzero
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , x11proto-core-dev, libliqbase-dev (>= 0.3.35), liblo0-dev, libsqlite3-dev, libcurl3-dev
Standards-Version: 3.7.2

Package: onedotzero
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.35), liblo0ldbl
Description: onedotzero interactive remote control
 onedotzero interactive remote control

## liqbase-playground 0.3.45

=== Makefile ===
PROG = onedotzero
VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
LIBRARIES   = sqlite3 liblo
CFLAGS		= -Wall `pkg-config --cflags  $(LIBRARIES)`  
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic -lcurl -L /usr/lib `pkg-config --libs $(LIBRARIES)`
RM			 = /bin/rm -f
OBJSCORE	 = onemessage.o onemessageprogress.o textbox.o onetilt.o zoombox.o oneconfigure.o buttonrollover.o onemenu.o nokiapicture.o onemove.o osc_onedotzero.o 
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean


install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase



			 install -d								 $(PREFIX)/share/liqbase/onedotzero
			 install -d								 $(PREFIX)/share/liqbase/onedotzero/media




	mkdir -p															$(PREFIX)
	mkdir -p															$(PREFIX)/share
	mkdir -p															$(PREFIX)/share/icons
	mkdir -p															$(PREFIX)/share/icons/hicolor
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable/apps


			 cp base_fs/usr/share/icons/hicolor/scalable/apps/onedotzero_icon.png   $(PREFIX)/share/icons/hicolor/scalable/apps

			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/onedotzero
			 mkdir -p									$(PREFIX)/share/liqbase/onedotzero/media
			 
			 install -m 0755 onedotzero			  $(PREFIX)/share/liqbase/onedotzero
			 install -m 0755 onedotzero.so		  $(PREFIX)/share/liqbase/onedotzero
			 cp -r media/*                           				$(PREFIX)/share/liqbase/onedotzero/media

			 install -m 0755 base_fs/usr/bin/onedotzero-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/onedotzero.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.onedotzero.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/onedotzero.conf				$(ETCDIR)/osso-backup/applications

=== doorbell/Makefile ===
PROG = doorbell

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = doorbell_main.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/doorbell
			 install -d								 $(PREFIX)/share/liqbase/doorbell/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/doorbell/media
			 
			 install -m 0755 doorbell			  $(PREFIX)/share/liqbase/doorbell
			 install -m 0755 doorbell.so		  $(PREFIX)/share/liqbase/doorbell
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/doorbell/media
			 
			 install -m 0755 base_fs/usr/bin/doorbell-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/doorbell.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.doorbell.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/doorbell.conf				$(ETCDIR)/osso-backup/applications

=== liqconfig/Makefile ===
PROG = liqconfig

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = liqconfig_background.o liqconfig_fullscreenwindow.o liqconfig_liqbasenet.o liqconfig_liqbasenet_privacy.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqconfig
			 install -d								 $(PREFIX)/share/liqbase/liqconfig/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqconfig/media
			 
			 install -m 0755 liqconfig			  $(PREFIX)/share/liqbase/liqconfig
			 install -m 0755 liqconfig.so		  $(PREFIX)/share/liqbase/liqconfig
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/liqconfig/media
			 
			 install -m 0755 base_fs/usr/bin/liqconfig-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqconfig.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqconfig.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqconfig.conf				$(ETCDIR)/osso-backup/applications

=== liqmap/Makefile ===
PROG = liqmap

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = liqmap_main.o liqmapzoom.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqmap
			 install -d								 $(PREFIX)/share/liqbase/liqmap/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqmap/media
			 
			 install -m 0755 liqmap			  $(PREFIX)/share/liqbase/liqmap
			 install -m 0755 liqmap.so		  $(PREFIX)/share/liqbase/liqmap
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/liqmap/media
			 
			 install -m 0755 base_fs/usr/bin/liqmap-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqmap.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqmap.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqmap.conf				$(ETCDIR)/osso-backup/applications

=== liqpostcard/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CFLAGS		= 
 LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
 RM			 = /bin/rm -f
-OBJSCORE	 =  liqpostcard_ready.o liqpostcard_template.o liqpostcard_sendprogress.o liqpostcard_selectimage.o liqrecentphotoselect.o liqpostcard_config.o liqpostcard_start.o
+OBJSCORE	 =  liqpostcard_ready.o liqpostcard_template.o liqpostcard_sendprogress.o liqpostcard_config.o liqpostcard_start.o
 OBJS		  = $(OBJSCORE) $(PROG).o
 
 .PHONY:	  clean distclean

=== liqremote/Makefile ===
PROG = liqremote
VERS		  = 0.1.0
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = liqremote_manager.o 
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

=== maemosummit2009/Makefile ===
PROG = maemosummit2009

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3

LIBRARIES   = liblo
CFLAGS		= -Wall `pkg-config --cflags  $(LIBRARIES)`  
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic -L /usr/lib `pkg-config --libs $(LIBRARIES)`
RM			 = /bin/rm -f
OBJSCORE	 = liqslidehost.o liqpages.o vbparse.o osc_maemosummit.o 
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/maemosummit2009
			 install -d								 $(PREFIX)/share/liqbase/maemosummit2009/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/maemosummit2009/media
			 
			 install -m 0755 maemosummit2009			  $(PREFIX)/share/liqbase/maemosummit2009
			 install -m 0755 maemosummit2009.so		  $(PREFIX)/share/liqbase/maemosummit2009
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/maemosummit2009/media
			 
			 install -m 0755 base_fs/usr/bin/maemosummit2009-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/maemosummit2009.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.maemosummit2009.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/maemosummit2009.conf				$(ETCDIR)/osso-backup/applications

=== maemotools/Makefile ===
PROG = maemotools

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = colorpicker.o colorcube.o greycube.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/maemotools
			 install -d								 $(PREFIX)/share/liqbase/maemotools/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/maemotools/media
			 
			 install -m 0755 maemotools			  $(PREFIX)/share/liqbase/maemotools
			 install -m 0755 maemotools.so		  $(PREFIX)/share/liqbase/maemotools
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/maemotools/media
			 
			 install -m 0755 base_fs/usr/bin/maemotools-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/maemotools.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.maemotools.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/maemotools.conf				$(ETCDIR)/osso-backup/applications

=== debian/changelog ===
liqbase-playground (0.3.45) unstable; urgency=low

  * bump, lots of changes.

 -- Gary Birkett <liquid@gmail.com>  21 October 2009 08:41:03 +0200

=== doorbell/debian/changelog ===
doorbell (0.1.0) unstable; urgency=low

  * doorbell Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Sun, 04 Oct 2009 19:12:20 +0000

=== liqconfig/debian/changelog ===
liqconfig (0.1.0) unstable; urgency=low

  * liqconfig Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Sat, 19 Sep 2009 22:22:10 +0000

=== liqcontrolpanel/debian/changelog ===
liqcontrolpanel (0.1.2) unstable; urgency=low

  * bug fix for click event

 -- Gary Birkett <liquid@gmail.com>  08 September 2009 15:05:41 +0000

liqcontrolpanel (0.1.1) unstable; urgency=low

  * tweaks

 -- Gary Birkett <liquid@gmail.com>  06 September 2009 01:20:05 +0000

liqcontrolpanel (0.1.0) unstable; urgency=low

  * liqcontrolpanel Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Tue, 01 Sep 2009 01:20:05 +0000

=== liqmap/debian/changelog ===
liqmap (0.1.0) unstable; urgency=low

  * liqmap Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Tue, 20 Oct 2009 15:17:54 +0000

=== maemosummit2009/debian/changelog ===
maemosummit2009 (0.1.0) unstable; urgency=low

  * maemosummit2009 Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Sat, 03 Oct 2009 15:38:46 +0000

=== maemotools/debian/changelog ===
maemotools (0.1.0) unstable; urgency=low

  * maemotools Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Sat, 26 Sep 2009 10:37:01 +0000

=== debian/control ===
Source: liqbase-playground
Section: user/multimedia
Priority: extra
Maintainer: Gary <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , x11proto-core-dev, libliqbase-dev (>= 0.3.45), libsqlite3-dev, libcurl3-dev
Standards-Version: 3.7.2

Package: liqbase-playground
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} ,libliqbase1 (>= 0.3.45), liqtorch, liqcontrolpanel, liqpostcard, onedotzero
Description: liqbase-playground test package
 usability and testing package release for liqbase-playground

=== doorbell/debian/control ===
Source: doorbell
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: doorbell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

=== liqconfig/debian/control ===
Source: liqconfig
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqconfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

=== liqcontrolpanel/debian/control ===
Source: liqcontrolpanel
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.45)
Standards-Version: 3.7.2

Package: liqcontrolpanel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.45)
Description: short description
 longer description

=== liqmap/debian/control ===
Source: liqmap
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

=== liqpostcard/debian/control ===
Source: liqpostcard
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.45)
Standards-Version: 3.7.2

Package: liqpostcard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.45)
Description: send a postcard upto liqbase.net
 send a postcard upto liqbase.net, include a picture and a sketch

=== liqtorch/debian/control ===
Source: liqtorch
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev (>= 0.3.45)
Standards-Version: 3.7.2

Package: liqtorch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.45)
Description: a simple bright light to lead the way.
 a simple bright light to lead the way in the dark.

=== maemosummit2009/debian/control ===
Source: maemosummit2009
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: maemosummit2009
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

=== maemotools/debian/control ===
Source: maemotools
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: maemotools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/onedotzero install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== doorbell/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/doorbell install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== liqconfig/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqconfig install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== liqpostcard/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqpostcard install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== liqtorch/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqtorch install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== maemosummit2009/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/maemosummit2009 install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== maemotools/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/maemotools install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
